Create a group Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/group

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • name string Required

    Group name that must be unique.

  • participants array[string(uuid)]

    UUIDs of accounts to add to the group.

  • business_unit string(uuid) | null

    UUID of business unit to link this group to

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • name string
    • slug string
    • participants_count string
    • participants object
      Hide participants attributes Show participants attributes object
      • uuid object
        Hide uuid attributes Show uuid attributes object
        • example string
        • description string
      • role object
        Hide role attributes Show role attributes object
        • example string
        • description string
      • first_name object
        Hide first_name attributes Show first_name attributes object
        • example string
        • description string
      • last_name object
        Hide last_name attributes Show last_name attributes object
        • example string
        • description string
      • name object
        Hide name attributes Show name attributes object
        • example string
        • description string
      • email object
        Hide email attributes Show email attributes object
        • example string
        • description string
    • created_at string
    • updated_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/group
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/group' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{
  "name": "Accounting",
  "participants": [
    "c09941e2-7cae-4cf0-b27c-8b7add3cc08f",
    "2074b7ff-7e23-4a27-a82e-39a39a80a8be",
    "f5775bac-ebf8-4c7b-8c27-71c4bc23faf3"
  ],
  "business_unit": "2b863015-001d-4823-8d8e-3350b6ef46fc"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Accounting",
  "participants": [
    "c09941e2-7cae-4cf0-b27c-8b7add3cc08f",
    "2074b7ff-7e23-4a27-a82e-39a39a80a8be",
    "f5775bac-ebf8-4c7b-8c27-71c4bc23faf3"
  ],
  "business_unit": "2b863015-001d-4823-8d8e-3350b6ef46fc"
}
Response examples (200)
[
  {
    "uuid": "07f82032-4918-4169-b541-9e518ed3fdb5",
    "name": "finance",
    "slug": "finance",
    "participants_count": "3",
    "participants": {
      "uuid": {
        "example": "c0bf6600-3c5a-4683-989c-3ac4dfbfb27b",
        "description": "UUID of the account"
      },
      "role": {
        "example": "client",
        "description": "Role of the account"
      },
      "first_name": {
        "example": "Gareth",
        "description": "First name of the account"
      },
      "last_name": {
        "example": "Thompson",
        "description": "Last name of the account"
      },
      "name": {
        "example": "Gareth Thompson",
        "description": "Name of the account"
      },
      "email": {
        "example": "gareth@codepotato.co.uk",
        "description": "Email of the account"
      }
    },
    "created_at": "2026-10-08T16:24:02+01:00",
    "updated_at": "2026-10-08T16:24:02+01:00"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}